<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
CU-NP-FA-207 Gestionar asignación de topógrafos

@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Gestionar asignación de topógrafos::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsGestionarAsignacionDeTopografos"
                    showDetail="false" globalOnly="false" />

        <p:spacer height="30" width="0" />
        <h:form prependId="false" id="gestionarTopografosForm">
            <h:panelGrid width="60%" cellspacing="10">


                <h:panelGrid columns="2">

                    <h:outputLabel value="Topógrafo" styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="seleccionarTopografo" label="Seleccionar topógrafo" 
                                     value="#{gestionarAsignacionDeTopografos.topografoSeleccionado}">
                        <f:selectItems value="#{gestionarAsignacionDeTopografos.itemListTopografos}" />
                        <f:converter converterId="recursoHumanoConverter" />
                    </h:selectOneMenu>

               	</h:panelGrid>

                <p:dataTable id="actualizacionLevantamientoTable"
                             value="#{gestionarAsignacionDeTopografos.actualizacionLevantamientos}"
                             var="actualizacionLevantamiento" paginator="true"
                             rowKey="#{actualizacionLevantamiento.id}"
                             rows="10" widgetVar="actualizacionLevantamientoDTWV"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             selection="#{gestionarAsignacionDeTopografos.selectedActualizacionesLevantamientos}" 
                             emptyMessage="No hay manzanas asociadas a topógrafos">

                    <p:column selectionMode="multiple" />

                    <p:column headerText="Manzanas / Áreas" 
                              filterBy="#{actualizacionLevantamiento.identificador}"
                              filterMatchMode="contains"
                              sortBy="#{actualizacionLevantamiento.identificador}">

                        <h:outputText value="#{actualizacionLevantamiento.identificador}"
                                      styleClass="outputTextStyle"/>

                    </p:column>
                    <ui:remove>
                        <p:column headerText="Topógrafo"
                                  filterMatchMode="contains"
                                  filterBy="#{actualizacionLevantamiento.levantamientoAsignacion.topografoNombre}"
                                  sortBy="#{actualizacionLevantamiento.levantamientoAsignacion.topografoNombre}">

                            <h:outputText value="#{actualizacionLevantamiento.levantamientoAsignacion.topografoNombre}"
                                          styleClass="outputTextStyle"/>

                        </p:column>
                    </ui:remove>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton value=" Mostrar selección" id="verMapa"
                                     widgetVar="verMapaVar" immediate="true" icon="ui-icon-image"
                                     onclick="cargarMapaZoomToFeature('#{gestionarAsignacionDeTopografos.applicationClientName}', '#{gestionarAsignacionDeTopografos.tokenParam}', '#{gestionarAsignacionDeTopografos.moduleLayer}', '#{gestionarAsignacionDeTopografos.moduleTools}', '#{gestionarAsignacionDeTopografos.manzanaCodigo}');" />
                    <p:commandButton value="Asignar al topógrafo" update="actualizacionLevantamientoTable,:msgsGestionarAsignacionDeTopografos"
                                     icon="ui-icon-disk"
                                     action="#{gestionarAsignacionDeTopografos.asignarTopografo}"/>
                </h:panelGrid>

                <p:commandButton value="Finalizar asignación" update=":msgsGestionarAsignacionDeTopografos"
                                 action="#{gestionarAsignacionDeTopografos.finalizarAsignacionTopografo}"
                                 icon="ui-icon-check"
                                 label="Finaliza la asignación de topógrafos"/>

            </h:panelGrid>

        </h:form>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>

        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>

</ui:composition>